import React from 'react';
import { StyleProp, ViewStyle } from 'react-native';
import IconButton from '../../IconButton';
import { $Omit, Theme } from '../../../../src/types';
declare type Props = $Omit<React.ComponentProps<typeof IconButton>, 'icon' | 'theme'> & {
    name: string;
    onPress?: () => void;
    style?: StyleProp<ViewStyle>;
    theme?: Theme;
};
export declare const ICON_SIZE = 24;
export declare const IconAdornment: React.FunctionComponent<{
    testID: string;
    icon: React.ReactNode;
    iconTopPosition: number;
    side: 'left' | 'right';
}>;
declare const TextInputIcon: {
    ({ name, onPress, ...rest }: Props): JSX.Element;
    displayName: string;
};
export default TextInputIcon;
